package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MarketMapBox;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MarketMapBoxMapper")
public interface MarketMapBoxMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MarketMapBox record);

    MarketMapBox selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MarketMapBox record);

    List<MarketMapBox> queryAllMarketMapBox(MarketMapBox record);

    List<MarketMapBox> queryMarketMapBoxByPage(Map<String, Object> parameter);

    int delete(MarketMapBox record);

    MarketMapBox queryMarketMapBox(MarketMapBox record);

    List<MarketMapBox> query(MarketMapBox record);
}

